Subject: bug#62832: 29.0.60; org-delete-indentation on region doesn't work when END is before BEGIN

From: Spencer Baugh <[email-masked]>
Date: Fri, 14 Apr 2023 14:37:34 +0000 (UTC)

On Apr 14, 2023 09:41, Eli Zaretskii <[email-masked]> wrote:

> From: [email-masked]
> Date: Fri, 14 Apr 2023 12:39:28 +0000 (UTC)
>
>
> 1. emacs -Q
> 2. Insert the following in an org-mode buffer
> * head
> a
> b
> 3. C-x h M-^ and note that it's now formatted as:
> a
> b
>  * head
> 4. Undo, then M-> C-SPC M-< C-n M-^ and note that it's now formatted as:
> * head a
> b
> 5. Undo, then M-< C-SPC M-> M-^ and note that it's now formatted
> (correctly) as:
> * head a b
>
> The 3rd and 4th steps are wrong, or at least inconsistent with how
> normal delete-indentation works on a region.  In 4, I assume the issue
> is that org-delete-indentation doesn't check to see if a region is
> active before using its special logic.  No idea what's up with 3.

Did you report this to Org developers?  If not, why not?

I did not. Frankly it's because I forgot org-submit-bug-report exists :)

I'll report it now.